> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Port-In Order

> Edit an existing port-in order



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/number-porting/edit-port-in-order
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/number-porting/edit-port-in-order:
    post:
      tags:
        - Number Porting
      summary: Edit Port-In Order
      description: Edit an existing port-in order
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                orderId:
                  type: number
                  exclusiveMinimum: 0
                  description: Order ID
                desiredDueDate:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  description: Desired due date
                numberList:
                  type: array
                  prefixItems:
                    - type: object
                      properties:
                        number:
                          type: string
                          pattern: ^[1-9]\d{9}$
                        authorizedPerson:
                          type: string
                          minLength: 3
                        accountNum:
                          type: string
                          minLength: 3
                        accountPhone:
                          type: string
                          minLength: 3
                        accountPin:
                          type: string
                        endUser:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                            streetNum:
                              type: string
                              minLength: 1
                            streetName:
                              type: string
                              minLength: 1
                            city:
                              type: string
                              minLength: 1
                            state:
                              type: string
                              minLength: 1
                            postalCode:
                              type: string
                              minLength: 1
                          required:
                            - name
                            - streetNum
                            - streetName
                            - city
                            - state
                            - postalCode
                      required:
                        - number
                        - authorizedPerson
                        - accountNum
                        - accountPhone
                        - endUser
                  items:
                    type: object
                    properties:
                      number:
                        type: string
                        pattern: ^[1-9]\d{9}$
                      authorizedPerson:
                        type: string
                        minLength: 3
                      accountNum:
                        type: string
                        minLength: 3
                      accountPhone:
                        type: string
                        minLength: 3
                      accountPin:
                        type: string
                      endUser:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                          streetNum:
                            type: string
                            minLength: 1
                          streetName:
                            type: string
                            minLength: 1
                          city:
                            type: string
                            minLength: 1
                          state:
                            type: string
                            minLength: 1
                          postalCode:
                            type: string
                            minLength: 1
                        required:
                          - name
                          - streetNum
                          - streetName
                          - city
                          - state
                          - postalCode
                    required:
                      - number
                      - authorizedPerson
                      - accountNum
                      - accountPhone
                      - endUser
                  description: Number list
              required:
                - orderId
                - desiredDueDate
                - numberList
              additionalProperties: false
      responses:
        '200':
          description: Edit result
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status
                  message:
                    anyOf:
                      - type: string
                    description: Response message
                required:
                  - status
                  - message
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````